Bug 233009 - graphics/driconf: missing run-depends on xdriinfo
Summary: graphics/driconf: missing run-depends on xdriinfo
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-06 02:03 UTC by Conrad Meyer
Modified: 2019-02-04 18:55 UTC (History)
3 users (show)

See Also:
lichray: maintainer-feedback+
koobs: maintainer-feedback? (ports-secteam)
tobik: merge-quarterly-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Conrad Meyer freebsd_committer 2018-11-06 02:03:56 UTC
$ pkg install driconf
...
$ driconf
sh: xdriinfo: not found
Comment 1 lichray 2018-11-06 08:29:32 UTC
Yes... Can you make a patch for it?  I won't be able to access my FreeBSD box until Sunday.
Comment 2 Conrad Meyer freebsd_committer 2018-11-06 16:52:45 UTC
(In reply to lichray from comment #1)
Sure:

--- Makefile    (revision 483902)
+++ Makefile    (working copy)
@@ -11,7 +11,8 @@
 MAINTAINER=    lichray@gmail.com
 COMMENT=       Configuration program for DRI drivers

-RUN_DEPENDS=   ${PYTHON_SITELIBDIR}/gtk-2.0/gtk/__init__.py:x11-toolkits/py-gtk2
+RUN_DEPENDS=   ${PYTHON_SITELIBDIR}/gtk-2.0/gtk/__init__.py:x11-toolkits/py-gtk2 \
+               xdriinfo:x11/xdriinfo

 USE_GL=                glut
 USE_PYTHON=    distutils

I need a ports committer approval to commit.  Does that look ok to you?
Comment 3 Bryan Drewery freebsd_committer 2018-11-07 00:49:26 UTC
(In reply to Conrad Meyer from comment #2)
> (In reply to lichray from comment #1)
> Sure:
> 
> --- Makefile    (revision 483902)
> +++ Makefile    (working copy)
> @@ -11,7 +11,8 @@
>  MAINTAINER=    lichray@gmail.com
>  COMMENT=       Configuration program for DRI drivers
> 
> -RUN_DEPENDS=  
> ${PYTHON_SITELIBDIR}/gtk-2.0/gtk/__init__.py:x11-toolkits/py-gtk2
> +RUN_DEPENDS=  
> ${PYTHON_SITELIBDIR}/gtk-2.0/gtk/__init__.py:x11-toolkits/py-gtk2 \
> +               xdriinfo:x11/xdriinfo
> 
>  USE_GL=                glut
>  USE_PYTHON=    distutils
> 
> I need a ports committer approval to commit.  Does that look ok to you?

Approved but needs a PORTREVISION bump too.
Comment 4 commit-hook freebsd_committer 2018-11-07 01:09:16 UTC
A commit references this bug:

Author: cem
Date: Wed Nov  7 01:08:38 UTC 2018
New revision: 484376
URL: https://svnweb.freebsd.org/changeset/ports/484376

Log:
  graphics/driconf: Fix missing run-depend on xdriinfo

  PR:		233009
  Approved by:	bdrewery

Changes:
  head/graphics/driconf/Makefile
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2018-11-07 02:03:19 UTC
Assign to committer that resolved.

This changes should be MFH'd.

As there's no attachment for patch from comment 2, request approval for merge (from ports-secteam) using maintainer-feedback flag
Comment 6 Tobias Kortkamp freebsd_committer 2019-02-04 18:55:01 UTC
MFH hasn't happened (for whatever reason?) and we are in 2019Q1 now.